# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Dec 17 23:38:18 2024
# ------------------------------------------------

package:
  name: chain2paf
  version: 0.1.1
source:
  sha256: d5a3fe9aa72372b6b868665e56b1ebf6f1e07dea056c5203c9232284ece07e31
  url: https://github.com/AndreaGuarracino/chain2paf/archive/refs/tags/v0.1.1.tar.gz
build:
  number: '0'
  run_exports:
    - chain2paf >=0.1.1,<0.2.0a0
  script:
    - cargo-bundle-licenses --format yaml --output THIRDPARTY.yml
    - cargo install -v --locked --no-track --root $PREFIX --path .
  string: h3ab6199_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_2
    - binutils_linux-64 2.43 h4852527_2
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.4 hb9d3cd8_0
    - ca-certificates 2024.12.14 hbcca054_0
    - cargo-bundle-licenses 2.0.0 hae9d626_1
    - clang 19.1.5 default_h9e3a008_0
    - clang-19 19.1.5 default_hb5137d0_0
    - clang-format 19.1.5 default_hb5137d0_0
    - clang-format-19 19.1.5 default_hb5137d0_0
    - clang-tools 19.1.5 default_hb5137d0_0
    - clangdev 19.1.5 default_hb5137d0_0
    - clangxx 19.1.5 default_ha78316a_0
    - cmake 3.31.2 h74e3db0_1
    - gcc_impl_linux-64 13.3.0 hfea6d02_1
    - gcc_linux-64 13.3.0 hc28eda2_7
    - gxx_impl_linux-64 13.3.0 hdbfa832_1
    - gxx_linux-64 13.3.0 h6834431_7
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libclang 19.1.5 default_hb5137d0_0
    - libclang-cpp 19.1.5 default_hb5137d0_0
    - libclang-cpp19.1 19.1.5 default_hb5137d0_0
    - libclang13 19.1.5 default_h9c6a7e4_0
    - libcurl 8.11.1 h332b0f4_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.4 h5888daf_0
    - libgcc 14.2.0 h77fa898_1
    - libgcc-devel_linux-64 13.3.0 h84ea5a7_101
    - libgcc-ng 14.2.0 h69a702a_1
    - libgit2 1.8.4 hd24f944_1
    - libgomp 14.2.0 h77fa898_1
    - libiconv 1.17 hd590300_2
    - libllvm19 19.1.5 ha7bfdaf_0
    - liblzma 5.6.3 hb9d3cd8_1
    - libnghttp2 1.64.0 h161d5f1_0
    - libsanitizer 13.3.0 heb74ff8_1
    - libssh2 1.11.1 hf672d98_0
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-devel_linux-64 13.3.0 h84ea5a7_101
    - libstdcxx-ng 14.2.0 h4852527_1
    - libuv 1.49.2 hb9d3cd8_0
    - libxml2 2.13.5 h0d44e9d_1
    - libzlib 1.3.1 hb9d3cd8_2
    - llvm-tools 19.1.5 h84d6215_0
    - llvm-tools-19 19.1.5 h48f18f5_0
    - llvmdev 19.1.5 h48f18f5_0
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - pcre2 10.44 hba22ea6_2
    - pkg-config 0.29.2 h4bc722e_1009
    - rhash 1.4.5 hb9d3cd8_0
    - rust 1.83.0 h1a8d7c4_0
    - rust-std-x86_64-unknown-linux-gnu 1.83.0 h2c6d0dc_0
    - rust_linux-64 1.83.0 h9a957ce_1
    - sysroot_linux-64 2.17 h4a8ded7_18
    - tzdata 2024b hc8b5060_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc 14.2.0 h77fa898_1
    - libgomp 14.2.0 h77fa898_1
    - libstdcxx 14.2.0 hc0a3c3a_1
  run:
    - libgcc >=13
    - libstdcxx >=13
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - chain2paf --help
about:
  dev_url: https://github.com/AndreaGuarracino/chain2paf
  home: https://github.com/AndreaGuarracino/chain2paf
  license: MIT
  license_family: MIT
  license_file:
    - LICENSE
    - THIRDPARTY.yml
  summary: convert CHAIN format to PAF format
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - AndreaGuarracino
